<?
include_once("auth.php");
header('Content-Type: text/html; charset=iso-8859-1');
require_once ("include/utils.inc.php");
include_once("include/css.inc.php");

//print_rr($_REQUEST);
//print_rr($_SESSION);

$limit = 50;
if (($_SESSION['idCat']!=$_REQUEST['idCat']) && isset($_REQUEST['idCat'])) $change=1;
if (($_SESSION['tipo']!=$_REQUEST['tipo']) && isset($_REQUEST['tipo'])) $change=1;

////if (($_REQUEST['idCat']==0)  || ($_REQUEST['idCat']=="")) $change=1;
////if ($_SESSION['tipo']!=$_REQUEST['tipo']) $change=1;
////if ($_SESSION['idCat']!=$_REQUEST['idCat']) $change=1;

$cmd=strtolower($_REQUEST['cmd']);
$id=$_REQUEST['id'];   //is numeric
$idCat=isset($_REQUEST['idCat'])?$_REQUEST['idCat']:$_SESSION['idCat'];

$tipo=$_REQUEST['tipo']?$_REQUEST['tipo']:$_SESSION['tipo'];
if (empty($tipo)) $tipo="conteudo";

//echo "tipo -> ".$tipo . " cmd ->" . $cmd. " id -> " .$id . " idCat ->" .$idCat;

if (($tipo) && (is_file("mod/" .$tipo . "/" . $tipo . ".class.php"))){
	include("mod/" .$tipo . "/" . $tipo . ".class.php");
	//$helpdir = "mod/" .$tipo . "/" . $tipo ;
	
	$cat= new $tipo;
} else if (($tipo) && (is_file("base/" . $tipo . ".class.php"))){
	include("base/" . $tipo . ".class.php");
	//$helpdir = "help/" .$tipo ;
	$cat= new $tipo;
} else {
	/*if ($super)
		include("artigosinactivos.php");
	else*/
		include("primeira.php");
	exit();
}

if (empty($cmd)) {
  $cmd='listar';
  $id=$idCat;
}

//if (strstr($tipo, "artigo")){$tipo="artigo";$_REQUEST['tipo']="artigo";}
$cat->tipo=$tipo;

$cat->idCat=$idCat;
$cat->req=$_REQUEST;

//$cat->req1=$_REQUEST;



//$cat->req['link'] = $_SERVER['PHP_SELF'] . '?tipo=' . $tipo . '&idCat=' . $idCat ;
$cat->req['limit']=$limit;

persistence("idCat");
persistence("tipo");
persistence("offset");
//if (empty($cat->req['offset'])){ $offset=0; $_SESSION['offset']=0;}
persistence("campo");
persistence("ordem");
persistence("procurar");
persistence("filtro");
persistence("tipoD");
persistence("id_grupo");

$cat->$cmd($id);
if(ha_msg()) apresenta_msg(get_msg());
if(ha_erro()) apresenta_erro(get_erro()); 

$helpdir = "help/" .$tipo ;
$help = $helpdir . "_" . (($cmd == 'editar')? "editar.php" : "listar.php" );
if(!is_file($help)) $help = "help/default.php";

//echo $cat->req['offset'];
//print_rr($cat->req);
//print_rr($cat->req1);
//print_rr($_SESSION);
//print_rr($_REQUEST);
//include ("primeira1.php");

?>
<script type="text/javascript" src="js/jquery.simplemodal-1.2.3.pack.js"></script>
<script type="text/javascript">
$(document).ready(function(){

	$("#help").load("<?=$help ?>").css({ backgroundColor:"white" });

	<?if($css=="black"){ ?>
		$("#divToolbar").corner();
		$("#divTopoCategoriaLista").corner("top");
	<?}?>

	$("#dataform").validate({
		submitHandler: function(form){
			//$("#dataform").append("<input type='hidden' name='cmd' value='guardar'/>");
			//$("#dataform").append("<input type='hidden' name='cmd' value='procurar'/>");
			$("#dataform").append("<input type='hidden' name='pedido' value='ajax'/>");
			var options = {target: '#main'};
			$(form).ajaxSubmit(options);
			return false;
		}
	});

	

	$(window).resize(function() {
		largura=($(window).width())-200-30 ;
		<?	if($css=="black"){ ?>
		largura -=60;
		<? } ?>
		if (aberto)
			$("#divMainFora").width(largura-200);
		else
			$("#divMainFora").width(largura);
	});
	
});	 
</script>

